cleanup-info(8)

NAME
cleanup-info - räumt den Müll von schwindelhaften install-info auf

ÜBERSICHT
cleanup-info [Optionen] [--] [Verzeichnisname]

BESCHREIBUNG
cleanup-info ist ein Perl-Skript das versucht, den Müll aufzuräumen, den ein schwindelhaftes install-info(8) hinterlassen haben könnte. Es sammelt alle Bereiche mit der gleichen Überschrift in einen einzelnen zusammen. Es versucht, pfiffig über Groß-/Kleinschreibung und angehängte Doppelpunkte/Leerzeichen zu sein.
Weitere Aufräumarbeiten beinhalten die Entfernung leerer Bereiche und das Zusammenquetschen leerer Zeilen (nur im Bereich der Einträge).

Die Reihenfolge der Bereiche wird erhalten (der erste aufgetretene Bereich zählt). Die Reihenfolge der Einträge innerhalb eines Bereichs wird erhalten.

Bitte seien Sie extrem vorsichtig bei der Verwendung dieses Hilfswerkzeuges - es könnte nicht 100 % sicher sein. cleanup-info versucht vorsichtig mit Ihrer Info-Dir-Datei zu sein, aber nur bis es sie schreibt. Sie sollten eine Sicherheitskopie anlegen, bevor sie dies Skript verwenden.

OPTIONEN

--unsafe
    Stelle einige zusätzliche möglicherweise nützliche Optionen ein.
    Warnung: die »--unsafe«-Option kann eine ansonsten korrekte Datei verstümmeln!

--help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

DATEIEN

/usr/info/dir oder <Verzeichnisname>/dir
    Die info-Verzeichnisdatei. Die Lock-Datei heißt genauso, mit dem ».lock«-Suffix.

FEHLER
Wahrscheinlich viele.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
install-info(8), info(1).

AUTOR
Copyright (C) 1996 Kim-Minh Kaplan

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.